Meta bug for tracking Openstack 2013.1.1 Stable Update

Bug #1179626 reported by Adam Gandelman on 2013-05-13
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Adam Gandelman
cinder (Ubuntu)
Undecided
Unassigned
Raring
Undecided
Unassigned
horizon (Ubuntu)
Undecided
Unassigned
Raring
Undecided
Unassigned
keystone (Ubuntu)
Undecided
Unassigned
Raring
Undecided
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Raring
Undecided
Unassigned
quantum (Ubuntu)
Undecided
Unassigned
Raring
Undecided
Unassigned

Bug Description

This is a meta-bug used for tracking progress of the 2013.1.1 Grizzly stable update to Nova, Horizon, Keystone, Cinder and Quantum in Ubuntu 13.04.

Note: Glance did not see any backports to upstream stable/grizzly branch during this period, and is omitted from this update batch.

summary: - Meta bug for tracking Openstack 2012.3.1 Stable Update
+ Meta bug for tracking Openstack 2013.1.1 Stable Update
description: updated
description: updated
Adam Gandelman (gandelman-a) wrote :
Download full text (8.3 KiB)

 cinder (1:2013.1.1-0ubuntu1) raring-proposed; urgency=low
 .
   * Resynchronize with stable/grizzly (a4856c4e) (LP: #1179626):
     - [995a310] Can't specify custom backend-name for HP/3par driver
       LP: 1175222
     - [319f712] SolidFire driver can't be used with extra-specs as in the past
       LP: 1167141
     - [817eac8] 3par driver not synchronize causing duplicate hostname error
       LP: 1172503
     - [2e3c1cd] backup-delete removes backup from database LP: 1169943
     - [2f72682] nexenta driver doesn't report volume stats LP: 1166607
     - [6221a0e] ThinLVM driver fails due to get_stats LP: 1166572
     - [93247d2] Deleted snapshots still counting against quota LP: 1173365
     - [6008be0] Multibackend config issue in cinder-volume LP: 1169928
     - [b8de829] glusterfs driver doesn't report volume stats LP: 1164038
     - [59f11c9] reschedule_or_reraise in cinder.volume.manager eats exception on
       base LVM driver LP: 1159027
     - [9318ffc] cinder-manage backup list is broken since we switched to uuids
       for backups LP: 1164922
     - [ba41b68] Logging configured incorrectly in cinder-all LP: 1161038
     - [2113fe1] sql_connection not marked secret LP: 1160680
     - [e1c153c] Error re-scheduling volume creation LP: 1164857
     - [5521cae] Remove unused tools/rfc.sh
     - [fed7c92] backup tests fail due to format errors in messages LP: 1166600

 horizon (1:2013.1.1-0ubuntu1) raring-proposed; urgency=low
 .
   * Resynchronize with stable/grizzly (e68b7a8e) (LP: #1179626):
     - [e68b7a8] Lazy translation object in error message (default role doesn't
       exist) LP: 1175165
     - [830094a] Unable to create panel using ./run_test.sh LP: 1164505
     - [4b3ebde] some sub-title seems not consistent in i18n and format
       LP: 1120551
     - [830094a] Unable to create panel using ./run_test.sh LP: 1164505

 keystone (1:2013.1.1-0ubuntu1) raring-proposed; urgency=low
 .
   * Resynchronize with stable/grizzly (678b06a9) (LP: #1179626):
     - [678b06a] Deleted user can still create instances LP: 1166670
     - [b874c8f] keystone ipv6 tests fail LP: 1176204
     - [3aa0f45] Set defaultbranch in .gitreview to stable/grizzly
     - [c5037dd] admin_token and LDAP password show up in log in DEBUG mode
       LP: 1172195
     - [76efb5c] residual grants after delete action LP: 1125637
     - [2b5b24e] PKI support breaks memcache token backend LP: 1119641
     - [9446a99] non-default auth plugins can't be configured LP: 1157515
     - [717f1aa] Upgrading from folsom to grizzly results in all tenants/users
       being disabled (LP: #1167421)

 nova (1:2013.1.1-0ubuntu1) raring-proposed; urgency=low
 .
   * Resynchronize with stable/grizzly (be94dd25) (LP: #1179626):
     - [e49e38c] ArchiveTestCase.test_archive_deleted_rows_fk_constraint fails on
       RHEL6 LP: 1158828
     - [7bf3e8d] Insecure directory creation for signing LP: 1174608
     - [55df546] VMware Hyper snapshot image missing some properties LP: 1174199
     - [447e4a3] _update_usage_from_migrations doesn't grab instance for
       migration LP: 1163622
     - [79ad6cb] baremetal nodes are garbage collected incorrectly LP: 1174952
     - [2e55ecc] volu...

Read more...

Changed in cinder (Ubuntu):
status: New → Invalid
Changed in horizon (Ubuntu):
status: New → Invalid
Changed in keystone (Ubuntu):
status: New → Invalid
Changed in nova (Ubuntu):
status: New → Invalid
Changed in quantum (Ubuntu):
status: New → Invalid
Changed in cinder (Ubuntu Raring):
status: New → Confirmed
Changed in horizon (Ubuntu Raring):
status: New → Confirmed
Changed in keystone (Ubuntu Raring):
status: New → Confirmed
Changed in nova (Ubuntu Raring):
status: New → Confirmed
Changed in quantum (Ubuntu Raring):
status: New → Confirmed

Hello Adam, or anyone else affected,

Accepted nova into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nova/1:2013.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Raring):
status: Confirmed → Fix Committed
tags: added: verification-needed
Changed in quantum (Ubuntu Raring):
status: Confirmed → Fix Committed
Dave Walker (davewalker) wrote :

Hello Adam, or anyone else affected,

Accepted quantum into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/quantum/1:2013.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cinder (Ubuntu Raring):
status: Confirmed → Fix Committed
Dave Walker (davewalker) wrote :

Hello Adam, or anyone else affected,

Accepted cinder into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/cinder/1:2013.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in horizon (Ubuntu Raring):
status: Confirmed → Fix Committed
Dave Walker (davewalker) wrote :

Hello Adam, or anyone else affected,

Accepted horizon into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/horizon/1:2013.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in keystone (Ubuntu Raring):
status: Confirmed → Fix Committed
Dave Walker (davewalker) wrote :

Hello Adam, or anyone else affected,

Accepted keystone into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/keystone/1:2013.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Jamie Strandboge (jdstrand) wrote :

Note, nova will need to be rebased for the security fix for bug #1177830. I'm working on updates now.

Keystone will be getting another update for bug #1166670, but this is already included in your proposed package, so a rebase doesn't technically have to be done.

Changed in cloud-archive:
status: New → In Progress
assignee: nobody → Adam Gandelman (gandelman-a)
Dave Walker (davewalker) wrote :

Confirmed that Nova and Keystone have been re-based and accepted into raring-proposed.

Thanks.

Please find the attached test log from the Ubuntu Server Team's CI infrastructure. As part of the verification process for this bug, the OpenStack components have been deployed and configured across multiple nodes using raring-proposed as an installation source. After successful bring-up and configuration of the cluster, a number of exercises and smoke tests have be invoked to ensure the updated package did not introduce any regressions. A number of test iterations were carried out to catch any possible transient errors.

These proposed packages were deployed and tested in several different configurations. Attached are tarballs with various test logs from each configuration. In addition to the base components, variables in deployments include:

raring_grizzly_nova-network: nova-network (FlatDHCP), glance (Ceph backend), cinder (Ceph backend)
raring_grizzly_quantum: quantum (OVS plugin), glance (Ceph backend), nova-volume (Ceph backend)

Please note the versions_tested.txt file in each tarball, which contains details about relevant package versions installed and tested.

For records of upstream test coverage of this update, please see the individual bug reports.

As per the provisional Micro Release Exception granted to this package by the Technical Board, we hope this contributes toward verification of this update.

Adam Gandelman (gandelman-a) wrote :

Test coverage log.

Adam Gandelman (gandelman-a) wrote :

Test coverage log.

tags: added: verification-done
removed: verification-needed
Changed in cloud-archive:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 1:2013.1.1-0ubuntu2

---------------
keystone (1:2013.1.1-0ubuntu2) raring-proposed; urgency=low

  * Rebase against latest security updates.
  * Dropped patches:
    - debian/patches/CVE-2013-2059.patch: [678b06a]

keystone (1:2013.1.1-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (678b06a9) (LP: #1179626):
    - [678b06a] Deleted user can still create instances LP: 1166670
    - [b874c8f] keystone ipv6 tests fail LP: 1176204
    - [3aa0f45] Set defaultbranch in .gitreview to stable/grizzly
    - [c5037dd] admin_token and LDAP password show up in log in DEBUG mode
      LP: 1172195
    - [76efb5c] residual grants after delete action LP: 1125637
    - [2b5b24e] PKI support breaks memcache token backend LP: 1119641
    - [9446a99] non-default auth plugins can't be configured LP: 1157515
    - [717f1aa] Upgrading from folsom to grizzly results in all tenants/users
      being disabled (LP: #1167421)
 -- James Page <email address hidden> Fri, 17 May 2013 10:42:16 +0100

Changed in keystone (Ubuntu Raring):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (4.6 KiB)

This bug was fixed in the package nova - 1:2013.1.1-0ubuntu2

---------------
nova (1:2013.1.1-0ubuntu2) raring-proposed; urgency=low

  * Rebase on latest security updates.
  * SECURITY UPDATE: verify virtual size of QCOW2 images
    - CVE-2013-2096.patch: update nova/virt/libvirt/imagebackend.py to
      check QCOW2 image size during root disk creation
    - CVE-2013-2096

nova (1:2013.1.1-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (be94dd25) (LP: #1179626):
    - [e49e38c] ArchiveTestCase.test_archive_deleted_rows_fk_constraint fails on
      RHEL6 LP: 1158828
    - [7bf3e8d] Insecure directory creation for signing LP: 1174608
    - [55df546] VMware Hyper snapshot image missing some properties LP: 1174199
    - [447e4a3] _update_usage_from_migrations doesn't grab instance for
      migration LP: 1163622
    - [79ad6cb] baremetal nodes are garbage collected incorrectly LP: 1174952
    - [2e55ecc] volume attach fails without systool installed LP: 1172486
    - [5576985] Nova API memcached key encoding error LP: 1174487
    - [df5d13c] nova-manage out of memory error creating many floating IPs
      LP: 1163394
    - [512d495] import and install gettext in vm_vdi_cleaner.py
    - [141107f] nova-manage uses nova.db.fixed_ip_get_all_by_instance_host,
      which no longer exists LP: 1163660
    - [a43c11e] Wrong proxy port in nova.conf for Spice LP: 1172957
    - [a313b12] image creation causes stacktrace LP: 1169560
    - [7771985] Kernel boot output missing from VNC/Spice consoles with AMI
      images LP: 1164021
    - [c185195] EC2 CreateVolumes/DescribeVolumes strange status LP: 1074901
    - [1168873] console auth does not work with memcache, unicode error (again)
      LP: 1164784
    - [c7a0d74] Passing duplicate network ids to Quantum throws wrong exception
      LP: 1165088
    - [a1fe8e2] _poll_rescued_instances() makes an invalid database query
      LP: 1167619
    - [6c01eee] ec2 api does not work for aws-java-sdk LP: 1156445
    - [1ecc009] Caching metadata fails when using memcached LP: 1160900
    - [9909095] Unnecessary db call in scheduler driver live-migration code
      LP: 1167811
    - [a3cc7bc] libvirt livemigration warning logger refernces a not defined
      local variable LP: 1164072
    - [2574421] set timeout for paramiko ssh connection
    - [7e527ca] Compute manager fails to cleanup compute_nodes not reported by
      driver LP: 1161193
    - [52663f7] Instance joins with system_metadata are critically slow
      LP: 1164737
    - [e653938] nova list quantum security group cache LP: 1161518
    - [f7bcd95] get_instance_security_groups() get_admin_context() causes lots
      of keystone chatter LP: 1161081
    - [232f874] Nova API Memcached Encoding Error LP: 1158958
    - [6d16278] Wrong disk's over committed size computing caused
      disk_available_least resource counting increasing LP: 1167695
    - [02da2d5] PolicyNotAuthorized not returned for confirmResize,
      revertResize, reboot LP: 1170453
    - [05e1c47] In-progress migrations may not have stashed instance types
      LP: 1164110
    - [e48e194] Update latest oslo.setup.
    - [9db4729] Argument order inconsistanc...

Read more...

Changed in nova (Ubuntu Raring):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2013.1.1-0ubuntu1

---------------
horizon (1:2013.1.1-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (e68b7a8e) (LP: #1179626):
    - [e68b7a8] Lazy translation object in error message (default role doesn't
      exist) LP: 1175165
    - [830094a] Unable to create panel using ./run_test.sh LP: 1164505
    - [4b3ebde] some sub-title seems not consistent in i18n and format
      LP: 1120551
    - [830094a] Unable to create panel using ./run_test.sh LP: 1164505
 -- Adam Gandelman <email address hidden> Tue, 14 May 2013 07:49:08 -0700

Changed in horizon (Ubuntu Raring):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 1:2013.1.1-0ubuntu1

---------------
cinder (1:2013.1.1-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (a4856c4e) (LP: #1179626):
    - [995a310] Can't specify custom backend-name for HP/3par driver
      LP: 1175222
    - [319f712] SolidFire driver can't be used with extra-specs as in the past
      LP: 1167141
    - [817eac8] 3par driver not synchronize causing duplicate hostname error
      LP: 1172503
    - [2e3c1cd] backup-delete removes backup from database LP: 1169943
    - [2f72682] nexenta driver doesn't report volume stats LP: 1166607
    - [6221a0e] ThinLVM driver fails due to get_stats LP: 1166572
    - [93247d2] Deleted snapshots still counting against quota LP: 1173365
    - [6008be0] Multibackend config issue in cinder-volume LP: 1169928
    - [b8de829] glusterfs driver doesn't report volume stats LP: 1164038
    - [59f11c9] reschedule_or_reraise in cinder.volume.manager eats exception on
      base LVM driver LP: 1159027
    - [9318ffc] cinder-manage backup list is broken since we switched to uuids
      for backups LP: 1164922
    - [ba41b68] Logging configured incorrectly in cinder-all LP: 1161038
    - [2113fe1] sql_connection not marked secret LP: 1160680
    - [e1c153c] Error re-scheduling volume creation LP: 1164857
    - [5521cae] Remove unused tools/rfc.sh
    - [fed7c92] backup tests fail due to format errors in messages LP: 1166600
 -- Adam Gandelman <email address hidden> Tue, 14 May 2013 07:49:04 -0700

Changed in cinder (Ubuntu Raring):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package quantum - 1:2013.1.1-0ubuntu1

---------------
quantum (1:2013.1.1-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (0602baca) (LP: #1179626):
    - [0602bac] Quantum metadata service does not support POST LP: 1092311
    - [e576736] list floating IPs does not honor port_id filter LP: 1169706
    - [9fda3ca] quantum.conf doesn't provide flags for RabbitMQ HA queues
      LP: 1160369
    - [6dd6b8e] Deprecated message about DEFAULT.root_heloper should suggest a
      solution LP: 1166706
    - [181a2fc] missing security group quota settings in quantum.conf
      LP: 1164154
    - [d134412] Non admin user can't search shared networks when db don't
      support BOOLEAN. LP: 1161195
    - [f853aff] The LBaaS API gave the internal error when creating VIP for the
      pool with existing Vip LP: 1158049
    - [14a1dfc] missing args to nexc.NECDBException LP: 1159925
    - [dcfb17d] missing kwargs for l3.FloatingIPPortAlreadyAssociated
      LP: 1159922
    - [b15b1ef] RHEL TestLinuxBridgeAgent.test_update_devices_failed fails
      LP: 1158609
    - [0ff2c5d] Port information is deleted in live-migration with NEC plugin.
      LP: 1160193
    - [61e6378] sql_connection not marked secret LP: 1160680
    - [a75731b] Error in Cisco plugin device configuration LP: 1161946
    - [c82d72f] metadata proxy launched by l3 agent is missing the metadata port
      LP: 1160955
    - [67292a7] router.interface.{create|delete} notifications do not include
      the router or tenant IDs LP: 1160431
 -- Adam Gandelman <email address hidden> Tue, 14 May 2013 07:49:26 -0700

Changed in quantum (Ubuntu Raring):
status: Fix Committed → Fix Released
Adam Gandelman (gandelman-a) wrote :

Fix Released in the Ubuntu Cloud Archive:

cinder - 1:2013.1.1-0ubuntu1~cloud0
horizon - 1:2013.1.1-0ubuntu1~cloud0
keystone - 1:2013.1.1-0ubuntu2~cloud0
nova - 1:2013.1.1-0ubuntu2~cloud0
quantum - 1:2013.1.1-0ubuntu1~cloud0

Changed in cloud-archive:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers